package com.liquidnet.service.goblin.dto.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class GoblinPayInnerResultVo implements Serializable, Cloneable {

    private String code;
    private String orderCode;
    private String orderMasterCode;
    private Integer status;
    private String orderId;
    private String payType;
    private String showUrl;
    private String returnUrl;
    private BigDecimal price;
    private Object payData;

    private static final GoblinPayInnerResultVo obj = new GoblinPayInnerResultVo();

    public static GoblinPayInnerResultVo getNew() {
        try {
            return (GoblinPayInnerResultVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinPayInnerResultVo();
        }
    }
}
